Page MenuHomePhabricator

[DEBUGINFO, NVPTX] Emit correct debug information for local variables.
ClosedPublic

Authored by ABataev on Apr 23 2018, 7:30 AM.

Details

Summary

NVPTX target dos not use register-based frame information. Instead it
relies on the artificial local_depot that is used instead of the frame
and the data for variables must be emitted relatively to this
local_depot.

Diff Detail

Repository
rL LLVM

Event Timeline

ABataev created this revision.Apr 23 2018, 7:30 AM
tra removed a reviewer: tra.Apr 24 2018, 10:30 AM
tra added a subscriber: tra.
echristo accepted this revision.Jul 25 2018, 2:47 PM

LGTM.

-eric

This revision is now accepted and ready to land.Jul 25 2018, 2:47 PM
This revision was automatically updated to reflect the committed changes.